## org.eclipse.jetty.policy
Class PolicyBlock

    java.lang.Object
      org.eclipse.jetty.policy.PolicyBlock

    public class PolicyBlock

extends Object

Field Summary
`Set<Certificate>` `certificates`
`CodeSource` `codesource`
`PermissionCollection` `permissions`
`Principal[]` `principals`

Constructor Summary
`PolicyBlock()`

Method Summary
`Set<Certificate>` `getCertificates()`
`CodeSource` `getCodeSource()`
`PermissionCollection` `getPermissions()`
`Principal[]` `getPrincipals()`
`void` `setCertificates(Set<Certificate> certificates)`
`void` `setCodeSource(CodeSource codesource)`
`void` `setPermissions(PermissionCollection permissions)`
`void` `setPrincipals(Principal[] principals)`
`ProtectionDomain` `toProtectionDomain()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codesource

    public CodeSource codesource

### certificates

    public Set<Certificate> certificates

### principals

    public Principal[] principals

### permissions

    public PermissionCollection permissions

Constructor Detail

### PolicyBlock

    public PolicyBlock()

Method Detail

### toProtectionDomain

    public ProtectionDomain toProtectionDomain()

### getCodeSource

    public CodeSource getCodeSource()

### setCodeSource

    public void setCodeSource(CodeSource codesource)

### getCertificates

    public Set<Certificate> getCertificates()

### setCertificates

    public void setCertificates(Set<Certificate> certificates)

### getPrincipals

    public Principal[] getPrincipals()

### setPrincipals

    public void setPrincipals(Principal[] principals)

### getPermissions

    public PermissionCollection getPermissions()

### setPermissions

    public void setPermissions(PermissionCollection permissions)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.